summaryrefslogtreecommitdiff
path: root/dev-python/python-cstruct
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-cstruct')
-rw-r--r--dev-python/python-cstruct/Manifest2
-rw-r--r--dev-python/python-cstruct/metadata.xml12
-rw-r--r--dev-python/python-cstruct/python-cstruct-1.7.ebuild25
-rw-r--r--dev-python/python-cstruct/python-cstruct-1.8.ebuild24
4 files changed, 63 insertions, 0 deletions
diff --git a/dev-python/python-cstruct/Manifest b/dev-python/python-cstruct/Manifest
new file mode 100644
index 000000000000..f6a452cace86
--- /dev/null
+++ b/dev-python/python-cstruct/Manifest
@@ -0,0 +1,2 @@
+DIST cstruct-1.7.tar.gz 8768 BLAKE2B 9b66c1cadb5c32965fe29de4e1f3bf2a3f00695d3c6ced4cf28dc85d8580b7fbad626633f9672e25521e5e2fde93049a953c6fe089fb154aa51c82f080427121 SHA512 c3a612ec4c5778801a9d506a49b8817b56fb99e1788c4894ce753178aa4472cedff3b842fe1f40a925e76efbf737166384c279ed0f697655d6ea8d5f1581973a
+DIST python-cstruct-1.8.tar.gz 9911 BLAKE2B 88e091274495034c05d66e4ac808b3884a766017da92bb661cb6c90111cdb5e0d11f93a83e59be74acba9ba408c37b8cbaac88a1bb4fbbed120a2d0aaccd0979 SHA512 9ca9abf388965af06be6ab455652c60aaf2738a08bd7fcc32a8be57c19b2d705784618fd108bfa727a1c05c5749f761d698adc6550bffa1ebcaaedadd7d56a62
diff --git a/dev-python/python-cstruct/metadata.xml b/dev-python/python-cstruct/metadata.xml
new file mode 100644
index 000000000000..209dab7b8119
--- /dev/null
+++ b/dev-python/python-cstruct/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">andreax79/python-cstruct</remote-id>
+ <remote-id type="pypi">cstruct</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/python-cstruct/python-cstruct-1.7.ebuild b/dev-python/python-cstruct/python-cstruct-1.7.ebuild
new file mode 100644
index 000000000000..7e559d966790
--- /dev/null
+++ b/dev-python/python-cstruct/python-cstruct-1.7.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+inherit distutils-r1
+
+MY_PN=${PN#python-}
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="C-style structs for Python"
+HOMEPAGE="https://github.com/andreax79/python-cstruct https://pypi.org/project/cstruct/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+S=${WORKDIR}/${MY_P}
+
+DOCS=( README.md )
+
+python_test() {
+ esetup.py test || die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/python-cstruct/python-cstruct-1.8.ebuild b/dev-python/python-cstruct/python-cstruct-1.8.ebuild
new file mode 100644
index 000000000000..a7870977d0da
--- /dev/null
+++ b/dev-python/python-cstruct/python-cstruct-1.8.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_USE_SETUPTOOLS=manual
+inherit distutils-r1
+
+DESCRIPTION="C-style structs for Python"
+HOMEPAGE="https://github.com/andreax79/python-cstruct https://pypi.org/project/cstruct/"
+SRC_URI="https://github.com/andreax79/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# define setuptools dep manually to avoid warning
+# setup.py contains entry_points, but it's an empty string
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+DOCS=( README.md )
+
+distutils_enable_tests setup.py